Can't remove/ purge Firefox

Questions about applications and software
Forum rules
Before you post please read how to get help

Can't remove/ purge Firefox

Postby roshichris on Thu Sep 16, 2010 2:14 pm

If I apt-get purge (or remove) Firefox, it purges firefox and installs Iceweasel. And vice versa. -



Code: Select all
spoovy@peony ~ $ sudo apt-get remove firefox
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  iceweasel
Suggested packages:
  ttf-lyx latex-xft-fonts ttf-mathematica4.1 xprint mozplugger
The following packages will be REMOVED
  firefox
The following NEW packages will be installed
  iceweasel
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 0B/1,098kB of archives.
After this operation, 25.2MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.


So bizarrely I have to have one or the other installed. Not a massive problem obviously, but I don't know why apt's doing it.
roshichris
Level 1
Level 1
 
Posts: 46
Joined: Tue Oct 20, 2009 6:39 pm

Linux Mint is funded by ads and donations.
 

Re: Can't remove/ purge Firefox

Postby steveo314 on Thu Sep 16, 2010 11:25 pm

my system does not turn out the same error. it just goes to remove firefox. ive never seen it do that. see what this does:
1. open terminal
2. type su
3. password
4. type apt-get remove firefox

let me know if your get the same error.
apt-get install linux-mint-debian-edition

Image
Image
User avatar
steveo314
Level 2
Level 2
 
Posts: 61
Joined: Fri Feb 27, 2009 1:33 am

Re: Can't remove/ purge Firefox

Postby randomizer on Thu Sep 16, 2010 11:50 pm

Please add your experiences to this bug report: https://bugs.launchpad.net/linuxmint/+bug/635060

Also make sure you click up the top where it says "This bug affects 2 people. Does this bug affect you? You'll need a Launchpad.net account.
User avatar
randomizer
Level 5
Level 5
 
Posts: 871
Joined: Mon May 03, 2010 7:15 am

Re: Can't remove/ purge Firefox

Postby roshichris on Mon Sep 20, 2010 7:47 am

I will add to the bug report in a min, but just for reference I thought i'd post the following here. I used aptitude rather than apt-get and got the following -

Code: Select all
peony spoovy # aptitude purge firefox
The following packages will be REMOVED: 
  firefox{p}
0 packages upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 29.3MB will be freed.
The following packages have unmet dependencies:
  sun-java6-plugin: Depends: firefox but it is not going to be installed. or
                             firefox-2 which is a virtual package. or
                             iceweasel but it is not going to be installed. or
                             mozilla-firefox which is a virtual package. or
                             iceape-browser but it is not going to be installed. or
                             mozilla-browser which is a virtual package. or
                             epiphany-gecko but it is not going to be installed. or
                             epiphany-webkit but it is not going to be installed. or
                             epiphany-browser but it is not going to be installed. or
                             galeon but it is not going to be installed. or
                             midbrowser which is a virtual package. or
                             moblin-web-browser which is a virtual package. or
                             xulrunner but it is not going to be installed. or
                             xulrunner-1.9 which is a virtual package. or
                             konqueror but it is not going to be installed. or
                             chromium-browser which is a virtual package. or
                             midori but it is not going to be installed.
  mint-search-addon: Depends: firefox but it is not going to be installed. or
                              firefox-3.0 which is a virtual package. or
                              firefox-2 which is a virtual package. or
                              abrowser which is a virtual package. or
                              flock which is a virtual package. or
                              songbird which is a virtual package. or
                              iceweasel but it is not going to be installed.
The following actions will resolve these dependencies:

     Remove the following packages:
1)     mint-search-addon           
2)     sun-java6-plugin           



Accept this solution? [Y/n/q/?] n   
The following actions will resolve these dependencies:

     Install the following packages:
1)     iceweasel [3.5.12-2 (testing)]



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

     Install the following packages:                   
1)     firefox-mozilla-build [3.6.10-0ubuntu1 (stable)]



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

     Remove the following packages:
1)     mint-search-addon           

     Install the following packages:
2)     midori [0.2.4-3 (testing)]   



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

     Remove the following packages:     
1)     mint-search-addon                 

     Install the following packages:     
2)     iceape-browser [2.0.7-1 (testing)]



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

     Remove the following packages:       
1)     mint-search-addon                 

     Install the following packages:     
2)     galeon [2.0.7-2.1+b1 (testing)]   
3)     galeon-common [2.0.7-2.1 (testing)]



Accept this solution? [Y/n/q/?] n
open: 20; closed: 651; defer: 2; conflict: 2                                                        .The following actions will resolve these dependencies:

     Remove the following packages:         
1)     mint-search-addon                     

     Install the following packages:         
2)     libmozjs0d [1.8.1.14-3.1 (testing)]   
3)     libxul-common [1.8.1.14-3.1 (testing)]
4)     libxul0d [1.8.1.14-3.1 (testing)]     
5)     xulrunner [1.8.1.14-3.1 (testing)]   



Accept this solution? [Y/n/q/?] n
open: 25; closed: 722; defer: 4; conflict: 4                                                        .The following actions will resolve these dependencies:

      Remove the following packages:               
1)      mint-search-addon                         

      Install the following packages:             
2)      epiphany-browser [2.30.2-3 (testing)]     
3)      epiphany-browser-data [2.30.2-3 (testing)]
4)      gir1.0-clutter-1.0 [1.2.12-3 (testing)]   
5)      gir1.0-freedesktop [0.6.14-1+b1 (testing)]
6)      gir1.0-glib-2.0 [0.6.14-1+b1 (testing)]   
7)      gir1.0-gstreamer-0.10 [0.10.30-1 (testing)]
8)      gir1.0-gtk-2.0 [0.6.5-6+b1 (testing)]     
9)      gir1.0-json-glib-1.0 [0.10.2-2 (testing)] 
10)     libseed0 [2.30.0-1+b1 (testing)]           



Accept this solution? [Y/n/q/?] n
open: 19; closed: 809; defer: 4; conflict: 4                                                        .The following actions will resolve these dependencies:

      Remove the following packages:               
1)      mint-search-addon                         

      Install the following packages:             
2)      epiphany-browser [2.30.2-3 (testing)]     
3)      epiphany-browser-data [2.30.2-3 (testing)]
4)      epiphany-webkit [2.30.2-3 (testing)]       
5)      gir1.0-clutter-1.0 [1.2.12-3 (testing)]   
6)      gir1.0-freedesktop [0.6.14-1+b1 (testing)]
7)      gir1.0-glib-2.0 [0.6.14-1+b1 (testing)]   
8)      gir1.0-gstreamer-0.10 [0.10.30-1 (testing)]
9)      gir1.0-gtk-2.0 [0.6.5-6+b1 (testing)]     
10)     gir1.0-json-glib-1.0 [0.10.2-2 (testing)] 
11)     libseed0 [2.30.0-1+b1 (testing)]           



Accept this solution? [Y/n/q/?] n
open: 23; closed: 884; defer: 8; conflict: 8                                                        .The following actions will resolve these dependencies:

      Remove the following packages:               
1)      mint-search-addon                         

      Install the following packages:             
2)      epiphany-browser [2.30.2-3 (testing)]     
3)      epiphany-browser-data [2.30.2-3 (testing)]
4)      epiphany-gecko [2.30.2-3 (testing)]       
5)      gir1.0-clutter-1.0 [1.2.12-3 (testing)]   
6)      gir1.0-freedesktop [0.6.14-1+b1 (testing)]
7)      gir1.0-glib-2.0 [0.6.14-1+b1 (testing)]   
8)      gir1.0-gstreamer-0.10 [0.10.30-1 (testing)]
9)      gir1.0-gtk-2.0 [0.6.5-6+b1 (testing)]     
10)     gir1.0-json-glib-1.0 [0.10.2-2 (testing)] 
11)     libseed0 [2.30.0-1+b1 (testing)]           



Accept this solution? [Y/n/q/?]


I quit in the end, then re-ran the command and selected the first solution offered by aptitude above, which worked fine.

Regards
roshichris
Level 1
Level 1
 
Posts: 46
Joined: Tue Oct 20, 2009 6:39 pm

Re: Can't remove/ purge Firefox

Postby randomizer on Mon Sep 20, 2010 8:00 am

So the java plugin is causing the issue eh? apt-get shows no such information. I would have expected it to simply try and remove the plugin rather than install something else.
User avatar
randomizer
Level 5
Level 5
 
Posts: 871
Joined: Mon May 03, 2010 7:15 am

Re: Can't remove/ purge Firefox

Postby craigevil on Tue Sep 21, 2010 3:34 pm

Java and other plugins require a package/browser that provides x-www-browser.

A user on the aptosid forums ran into the same problem when he wanted to use Rekonq and he wanted to remove Iceweasel.

Personally unless you are really short on disk space I don't see the point in removing a browser.

Just set the one you want as the default browser.

As root do update-alternatives --config x-www-browser

Code: Select all
update-alternatives --config x-www-browser
There are 6 choices for the alternative x-www-browser (providing /usr/bin/x-www-browser).

  Selection    Path                                  Priority   Status
------------------------------------------------------------
  0            /usr/bin/google-chrome                 120       auto mode
* 1            /home/craig/Download/firefox/firefox   100       manual mode
  2            /usr/bin/google-chrome                 120       manual mode
  3            /usr/bin/iceweasel                     70        manual mode
  4            /usr/bin/midori                        50        manual mode
  5            /usr/bin/opera                         90        manual mode
  6            /usr/bin/xlinks2                       69        manual mode

Press enter to keep the current choice[*], or type selection number:
Debian Sid KDE4.8.4 Kernel 3.4 Thinkpad R40 CPU Pentium M 1.3MHz RAM 2GB ATI Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
craigevil
Level 5
Level 5
 
Posts: 559
Joined: Wed Sep 15, 2010 6:10 am
Location: down the rabbit hole


Return to Software & Applications

Who is online

Users browsing this forum: Google Feedfetcher and 4 guests